## class OSGGA_EXPORT osgGA::GUIEventHandlerVisitor

> Base class for visiting GUIEventHandlers.

## Inheritance:

### Public Methods

virtual void visit(GUIEventHandler&)
virtual void visit(CompositeGUIEventHandler&)
virtual void visit(MatrixManipulator&)
virtual void visit(StateSetManipulator&)
const GUIEventAdapter* getGUIEventAdapter()
  Get the GUI EventAdapter associated with this GUIEventHandlerVisitor
GUIActionAdapter* getGUIActionAdapter()
  Get the GUI Action Adapter associated with this GEH Visitor

### Protected Methods

GUIEventHandlerVisitor(GUIEventAdapter* in, GUIActionAdapter* out)
virtual ~GUIEventHandlerVisitor()

## Documentation

> Base class for visiting GUIEventHandlers.

> A Default Visitor, (Might want to make it an Extrinsic Visitor at some point). By default, it does nothing to the things it visits. Sub classes of this Visitor need only override visit operations for the types of object they're interested in.

`virtual void visit(GUIEventHandler&)`

`virtual void visit(CompositeGUIEventHandler&)`

`virtual void visit(MatrixManipulator&)`

`virtual void visit(StateSetManipulator&)`

`const GUIEventAdapter* getGUIEventAdapter()`
  Get the GUI EventAdapter associated with this GUIEventHandlerVisitor

`GUIActionAdapter* getGUIActionAdapter()`
  Get the GUI Action Adapter associated with this GEH Visitor

`GUIEventHandlerVisitor(GUIEventAdapter* in, GUIActionAdapter* out)`

`virtual ~GUIEventHandlerVisitor()`

Direct child classes:
  SetSceneViewVisitor

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.